> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fabric.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Redeemable Points

> Gets the redeemable points of a member on a given entity. <br /> When points in the member account reach a defined threshold value, the points are converted to rewards, which can be redeemed in the future purchases. <br /> **Note**: The points to rewards conversion may be manual or automatic depending on how it is configured.



## OpenAPI

````yaml member get /v1/inquire/redeemable-points
openapi: 3.0.1
info:
  title: Loyalty (Member)
  description: >-
    fabric **Loyalty** formerly **Member** is a Loyalty Management System (LMS)
    that enables marketers to create multiple loyalty strategies under a loyalty
    program to cater to various businesses and customer segments. <br />
    **Member overview**: <br /> During onboarding, you are given the necessary
    **credentials** (client_id and client_secret) to obtain an access token,
    which is required to run every call. Membership hierarchy is organized into
    Programs, Clubs, and Tiers. <br /> **Program** is the first hierarchy level
    and is where rewards and benefits are configured for the organization. <br
    /> **Club** is the second hierarchy level and is where Rules for the program
    are configured. <br />Each Club must have at least one **Tier**, which is
    used to define membership and to configure criteria and thresholds
    (including free vs paid). Additional hierarchy levels can be added to
    support the needs of your business.  <br /> Members are always enrolled into
    a **Default Tier** within a club. When members make purchases, they earn
    Points based on the rules set at the club level and/or based on promotions.
    When points in a member account reach a predefined **Threshold Value**,
    points are converted to **Rewards**. This conversion may be manual or
    automatic depending on the program configuration. Members can **Redeem**
    their rewards within the reward **Expiry Period**. Account point balances
    are updated after each point-impacting activity.
  version: 1.0.0
  contact:
    email: support@fabric.inc
  license:
    name: fabric Inc
    url: https://fabric.inc
servers:
  - url: https://vanilla-dev02-loyalty.fabric.zone/api
    description: For developers to work outside of the production environment.
  - url: https://vanilla-stg-loyalty.fabric.zone/api
    description: Replica of the production environment for testing.
  - url: https://loyalty-sbx.fabric.zone/api
    description: >-
      An isolated testing environment (UAT) to run programs without affecting
      the application, system or platform on which they run.
  - url: https://loyalty.fabric.zone/api
    description: Production environment.
security:
  - bearerAuth: []
paths:
  /v1/inquire/redeemable-points:
    get:
      tags:
        - Inquire
      summary: Get Redeemable Points
      description: >-
        Gets the redeemable points of a member on a given entity. <br /> When
        points in the member account reach a defined threshold value, the points
        are converted to rewards, which can be redeemed in the future purchases.
        <br /> **Note**: The points to rewards conversion may be manual or
        automatic depending on how it is configured.
      operationId: redeemable-points_list
      parameters:
        - name: profileId
          in: query
          required: true
          description: >-
            Profile ID. It is generated in the response of the `Enroll Member`
            endpoint - POST /v1/members.
          schema:
            type: string
        - name: ehtId
          in: query
          description: >-
            Entity Hierarchy Tree (EHT) ID. Either the EHT ID or the
            clubExternalReference must be specified along with the profileID.
          schema:
            type: integer
        - name: externalReference
          in: query
          description: External reference number of the entity/store.
          schema:
            type: string
        - name: clubExternalReference
          in: query
          description: External reference number of the club.
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RedeemablePointsOnEntityResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericResponseClass1'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericResponseClass2'
components:
  schemas:
    RedeemablePointsOnEntityResponse:
      type: object
      description: Response of the *Get Redeemable Points* endpoint
      properties:
        status:
          title: Status
          description: Status of the call
          type: integer
          example: 200
          format: int32
        message:
          title: Message
          description: Message corresponding to the call
          example: Success
          type: string
          default: Exception message
        errors:
          title: Errors
          description: Error details, if applicable
          type: object
          properties: {}
          example: {}
        data:
          title: Data
          type: array
          items:
            $ref: '#/components/schemas/RedeemablePointsOnEntityResponseDetails'
    GenericResponseClass1:
      type: object
      description: Bad request
      properties:
        message:
          title: Message
          minLength: 1
          type: string
          description: Message corresponding to the call.
          example: Error message string
        errors:
          title: Errors
          type: object
          properties: {}
          description: A dictionary of lists with different number of errors or exceptions.
          example:
            ExceptionString:
              - Invalid Field
        data:
          title: Data
          type: object
          properties: {}
          description: Returns data in the form of a list of dictionaries or null
          example: null
        status:
          title: Status
          type: integer
          description: Status code of the call
          example: 400
          format: int32
    GenericResponseClass2:
      type: object
      description: Unauthorized
      properties:
        detail:
          title: Detail
          type: string
          description: Message corresponding to the response
          example: Authentication Failed
    RedeemablePointsOnEntityResponseDetails:
      type: object
      properties:
        totalPoints:
          title: Total points
          type: number
          format: integer
          description: Total redeemable points
          example: 1000
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````